package com.hdkj.lt.job.service;

/**
 * @Description
 * @Author wcx
 * @Date 2025/7/30 15:11
 * @Version 1.0
 */
public interface IDealPsrDeviceService {
    /**
     * 保存中压接入点和专变的数据
     */
    void saveJoinEcTransformerInfo(String cityShort);

    /**
     * 馈线和档距段在中台接入前备份
     */
    void dealFeederSpanSegmentBak();

    /**
     * 馈线和档距段根据备份表补充中台字段
     */
    void dealFeederSpanSegmentSupply();

    /**
     * 保存导线、电缆段台账信息
     */
    void saveSegmentPsrDeviceInfo(String cityShort);

}
